petsc-3.4.2 2013-07-02

# SNESLineSearchGetLambda

Gets the last linesearch steplength discovered.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetLambda(SNESLineSearch linesearch,PetscReal *lambda)

### Input Parameters

linesearch -linesearch context

### Output Parameters

lambda -The last steplength computed during SNESLineSearchApply()

### Notes

This is useful in methods where the solver is ill-scaled and requires some adaptive notion of the difference in scale between the solution and the function. For instance, SNESQN may be scaled by the line search lambda using the argument -snes_qn_scaling ls.

### See Also

SNESLineSearchSetLambda(), SNESLineSearchGetDamping(), SNESLineSearchApply()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages